org.apache.hadoop.yarn.exceptions

## Class ResourceNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.hadoop.yarn.exceptions.YarnRuntimeException
        - - org.apache.hadoop.yarn.exceptions.ResourceNotFoundException

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public class ResourceNotFoundException
      extends YarnRuntimeException

  This exception is thrown when details of an unknown resource type are requested.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceNotFoundException(Resource resource, String type)`
    `ResourceNotFoundException(Resource resource, String type, Throwable cause)`
    `ResourceNotFoundException(String message)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceNotFoundException

          public ResourceNotFoundException(Resource resource,
                                           String type)

    - #### ResourceNotFoundException

          public ResourceNotFoundException(Resource resource,
                                           String type,
                                           Throwable cause)

    - #### ResourceNotFoundException

          public ResourceNotFoundException(String message)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.